Aggregate therapy summary
curl --request GET \
--url https://my.apnealytics.com/api/v1/me/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://my.apnealytics.com/api/v1/me/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.apnealytics.com/api/v1/me/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://my.apnealytics.com/api/v1/me/summary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://my.apnealytics.com/api/v1/me/summary"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://my.apnealytics.com/api/v1/me/summary")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://my.apnealytics.com/api/v1/me/summary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"summary": {
"nights": 212,
"compliantNights": 198,
"avgUsageHrs": 7.14,
"medianUsageHrs": 7.3,
"compliancePct": 92.5,
"avgAhi": 3.42,
"medianAhi": 3.1,
"pctUnder5": 81.6,
"avgLeak95": 12.4,
"avgPress95": 10.8,
"composition": {
"obstructive": 46,
"central": 11,
"hypopnea": 40,
"unclassified": 3
},
"bestNight": {
"date": "2026-03-18",
"ahi": 0.3
},
"worstNight": {
"date": "2025-12-27",
"ahi": 14.9
}
},
"nights": 212
}{
"error": "unauthorized"
}{
"error": "server_error"
}Therapy
Aggregate therapy summary
Returns an aggregate summary computed across all nights on record: adherence, usage, usage-weighted AHI, event composition, and best/worst nights. Nights with under 1 minute of usage are excluded from the summary; compliantNights counts nights with at least 4 hours (240 minutes) of usage.
GET
/
api
/
v1
/
me
/
summary
Aggregate therapy summary
curl --request GET \
--url https://my.apnealytics.com/api/v1/me/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://my.apnealytics.com/api/v1/me/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.apnealytics.com/api/v1/me/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://my.apnealytics.com/api/v1/me/summary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://my.apnealytics.com/api/v1/me/summary"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://my.apnealytics.com/api/v1/me/summary")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://my.apnealytics.com/api/v1/me/summary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"summary": {
"nights": 212,
"compliantNights": 198,
"avgUsageHrs": 7.14,
"medianUsageHrs": 7.3,
"compliancePct": 92.5,
"avgAhi": 3.42,
"medianAhi": 3.1,
"pctUnder5": 81.6,
"avgLeak95": 12.4,
"avgPress95": 10.8,
"composition": {
"obstructive": 46,
"central": 11,
"hypopnea": 40,
"unclassified": 3
},
"bestNight": {
"date": "2026-03-18",
"ahi": 0.3
},
"worstNight": {
"date": "2025-12-27",
"ahi": 14.9
}
},
"nights": 212
}{
"error": "unauthorized"
}{
"error": "server_error"
}